Checks if passed by reference

- « ReflectionParameter::isOptional

- ReflectionParameter::isVariadic »

- PHP Manual
- ReflectionParameter
- Checks if passed by reference

# ReflectionParameter::isPassedByReference

(PHP 5, PHP 7, PHP 8)

ReflectionParameter::isPassedByReference — Checks if passed by reference

### Description

public ReflectionParameter::isPassedByReference(): bool

Checks if the parameter is passed in by reference.

### Parameters

This function has no parameters.

### Return Values

`true` if the parameter is passed in by reference, otherwise `false`

### See Also

- ReflectionParameter::getName() - Gets parameter name